camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christian Müller <christian.muel...@gmail.com>
Subject Re: Camel Build Error
Date Wed, 20 Jun 2012 20:49:14 GMT
Hey Jothi!

Hope you are doing well...

I use the following settings:
export MAVEN_OPTS="-Xmx1024m -XX:MaxPermSize=512m"
and it works great (I updated the WIKI and added the " signs).

You should run a
mvn clean install
or
mvn clean install -DskipTests
in the Camel root directory.

If it doesn't work for you, there must be something wrong on your site.
Which Java/Maven version do you use?
You are behind a firewall?

Best,
Christian

On Tue, Jun 19, 2012 at 7:12 PM, Jothi Sankarraj <
codeintheopen@googlemail.com> wrote:

> Endlich... I was able to build it. But with the following Maven opts
> settings worked. Added it with the double quotes.
>
> MAVEN_OPTS="-Xmx512m -XX:MaxPermSize=128m"
>
> Regards,
> Jothi
>
> On Tue, Jun 19, 2012 at 6:22 PM, Jothi Sankarraj <
> codeintheopen@googlemail.com> wrote:
>
> >
> > Could you please correct your Wiki pages where it is explained how to
> > build. The correct setting for MAVEN_OPTS for a Mac user is like this:
> >
> > export MAVEN_OPTS='-Xms256m -Xmx512m -XX:PermSize=64m
> -XX:MaxPermSize=128m'
> >
> >
> > With the one that is currently available in the wiki would lead to the
> > following error as soon as one opens a terminal.
> >
> > Last login: Tue Jun 19 18:07:21 on ttys001
> > -bash: export: `-XX:MaxPermSize=1024m': not a valid identifier
> >
> > But unfortunately the error is still not gone. I still get an
> > OutOfMemoryError. What I do not understand is that I have built the
> > application earlier on my Thinkpad where I only had 2GB RAM. On my Mac I
> > have 4GB RAM and I'm kind of confused as to why I get this error. Could
> > anyone confirm if my MAVEN_OPTS above has the correct values for the
> > permissible memory? It is almost 2 days that I'm trying to get Camel
> build
> > on my Mac.
> >
> > Regards,
> > Jothi
> >
> > On Tue, Jun 19, 2012 at 7:32 AM, Jothi Sankarraj <
> > codeintheopen@googlemail.com> wrote:
> >
> >> It looks like the other issue is not to be seen anymore but facing some
> >> other issues. I guess this has got something to do with Maven_OPTS. I
> have
> >> the following in my .bash_profile settings for Maven
> >>
> >> export MAVEN_OPTS=-Xmx1024m -XX:MaxPermSize=1024m
> >>
> >> And every time when I open a terminal window, I see that the MAVEN_OPTS
> >> is not correct as below:
> >>
> >> -bash: export: `-XX:MaxPermSize=1024m': not a valid identifier
> >>
> >> This time the build stops at the following place
> >>
> >> [INFO] >>> maven-javadoc-plugin:2.7:javadoc (default) @ camel-web >>>
> >> [INFO]
> >> [INFO] --- maven-bundle-plugin:2.3.7:cleanVersions (versions) @
> camel-web
> >> ---
> >> [INFO]
> >> [INFO] <<< maven-javadoc-plugin:2.7:javadoc (default) @ camel-web <<<
> >> [INFO]
> >> [INFO] --- maven-javadoc-plugin:2.7:javadoc (default) @ camel-web ---
> >> Downloading:
> >>
> http://repo.maven.apache.org/maven2/org/apache/maven/doxia/doxia-sink-api/1.0-alpha-10/doxia-sink-api-1.0-alpha-10.pom
> >>
> >>
> >> On Tue, Jun 19, 2012 at 2:16 AM, Hadrian Zbarcea <hzbarcea@gmail.com
> >wrote:
> >>
> >>> Where are you running your mvn command from?
> >>> Hadrian
> >>>
> >>>
> >>> On 06/18/2012 05:25 PM, Jothi Sankarraj wrote:
> >>>
> >>>> Still no success. Tried all possible things. This looks strange to
> me. I
> >>>> even deleted my entire repository folder and started the build again.
> >>>> Below
> >>>> is the error.
> >>>>
> >>>> [ERROR] Failed to execute goal on project camel-spring: Could not
> >>>> resolve
> >>>> dependencies for project
> >>>> org.apache.camel:camel-spring:**bundle:2.10-SNAPSHOT: Could not find
> >>>> artifact
> >>>> org.apache.camel:camel-core:**jar:tests:2.10-SNAPSHOT in
> >>>> apache.snapshots (
> >>>> http://repository.apache.org/**snapshots/<
> http://repository.apache.org/snapshots/>)
> >>>> ->  [Help 1]
> >>>> [ERROR]
> >>>> [ERROR] To see the full stack trace of the errors, re-run Maven with
> >>>> the -e
> >>>> switch.
> >>>> [ERROR] Re-run Maven using the -X switch to enable full debug logging.
> >>>> [ERROR]
> >>>> [ERROR] For more information about the errors and possible solutions,
> >>>> please read the following articles:
> >>>> [ERROR] [Help 1]
> >>>> http://cwiki.apache.org/**confluence/display/MAVEN/**
> >>>> DependencyResolutionException<
> http://cwiki.apache.org/confluence/display/MAVEN/DependencyResolutionException
> >
> >>>> [ERROR]
> >>>> [ERROR] After correcting the problems, you can resume the build with
> the
> >>>> command
> >>>> [ERROR]   mvn<goals>  -rf :camel-spring
> >>>>
> >>>>
> >>>> On Mon, Jun 18, 2012 at 2:52 PM, Henryk Konsek<hekonsek@gmail.com>
> >>>>  wrote:
> >>>>
> >>>>  Hi Jothi,
> >>>>>
> >>>>>  I'm just getting started with building Camel locally on my machine.
> >>>>>> When
> >>>>>>
> >>>>> I
> >>>>>
> >>>>>> hit the error below, I updated my sources and tried to build
again.
> >>>>>> But
> >>>>>>
> >>>>> the
> >>>>>
> >>>>>> error seems to still be there. Is there anything that could
be done?
> >>>>>>
> >>>>>
> >>>>> In such cases I try to build the latest version of project without
my
> >>>>> local Maven settings and repository:
> >>>>>
> >>>>> # backup your Maven repo and settings
> >>>>> $ mv ~/.m2 ~/.m2_backup
> >>>>> # update project
> >>>>> $ cd ~/projects/camel
> >>>>> $ svn up
> >>>>> # clean and fast build
> >>>>> $ mvn clean install -Dfastinstall
> >>>>> # restore your old Maven stuff
> >>>>> $ rm -rf ~/.m2
> >>>>> $ mv ~/.m2_backup ~/.m2
> >>>>>
> >>>>> In 90% of similar cases this will show you that the problem lays
in
> >>>>> your local Maven settings or cached snapshots.
> >>>>>
> >>>>> Laters.
> >>>>>
> >>>>> --
> >>>>> Henryk Konsek
> >>>>> http://henryk-konsek.blogspot.**com<
> http://henryk-konsek.blogspot.com>
> >>>>>
> >>>>>
> >>>>
> >>
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message